org.fourthline.cling.model.message

## Class OutgoingDatagramMessage<O extends UpnpOperation>

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<O>
  - - org.fourthline.cling.model.message.OutgoingDatagramMessage<O>

- Direct Known Subclasses:
    OutgoingNotificationRequest, OutgoingSearchRequest, OutgoingSearchResponse

      public abstract class OutgoingDatagramMessage<O extends UpnpOperation>
      extends UpnpMessage<O>

  A UDP datagram request or response message for sending, with destination address and port.
  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OutgoingDatagramMessage(O operation, InetAddress destinationAddress, int destinationPort)`
    `protected` | `OutgoingDatagramMessage(O operation, UpnpMessage.BodyType bodyType, Object body, InetAddress destinationAddress, int destinationPort)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress` | `getDestinationAddress()`
    `int` | `getDestinationPort()`
    `UpnpHeaders` | `getHeaders()`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingDatagramMessage

          protected OutgoingDatagramMessage(O operation,
                                 InetAddress destinationAddress,
                                 int destinationPort)

    - #### OutgoingDatagramMessage

          protected OutgoingDatagramMessage(O operation,
                                 UpnpMessage.BodyType bodyType,
                                 Object body,
                                 InetAddress destinationAddress,
                                 int destinationPort)

  - ### Method Detail

    - #### getDestinationAddress

          public InetAddress getDestinationAddress()

    - #### getDestinationPort

          public int getDestinationPort()

    - #### getHeaders

          public UpnpHeaders getHeaders()

      Overrides:
        `getHeaders` in class `UpnpMessage<O extends UpnpOperation>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.